## gobgp 1.14

=== debian/changelog ===
gobgp (1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Dec 2016 17:27:10 +0100

gobgp (1.13-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS on 32-bit archs due to overflow. Closes: #840031.

 -- Vincent Bernat <bernat@debian.org>  Sun, 13 Nov 2016 18:57:54 +0100

gobgp (1.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS on i386 due to the use of syscall.SYS_SETSOCKOPT.
      Closes: #836805

 -- Vincent Bernat <bernat@debian.org>  Fri, 07 Oct 2016 18:00:12 +0200

gobgp (1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Sep 2016 10:06:46 +0200

gobgp (1.10-1) unstable; urgency=medium

  * Initial release (Closes: #825183)

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Sep 2016 14:06:23 +0200

## gobgp 1.15

=== tools/grpc/cpp/Makefile ===
CXX = g++
CPPFLAGS += -I/opt/protobuf_3.0.0_alpha4/include -I/opt/grpc/include -pthread
CXXFLAGS += -std=c++11
LDFLAGS += -L/opt/grpc/lib -L/opt/protobuf_3.0.0_alpha4/lib -lgrpc++_unsecure -lgrpc -lgpr -lprotobuf -lpthread -ldl
PROTOC = protoc
GRPC_CPP_PLUGIN = grpc_cpp_plugin
GRPC_CPP_PLUGIN_PATH ?= `which $(GRPC_CPP_PLUGIN)`

PROTOS_PATH = .

vpath %.proto $(PROTOS_PATH)

all: system-check gobgp_api_client

gobgp_api_client: gobgp_api_client.pb.o gobgp_api_client.grpc.pb.o gobgp_api_client.o
	$(CXX) $^ $(LDFLAGS) -L. -lgobgp -o $@ 

%.grpc.pb.cc: %.proto
	$(PROTOC) -I $(PROTOS_PATH) --grpc_out=. --plugin=protoc-gen-grpc=$(GRPC_CPP_PLUGIN_PATH) $<

%.pb.cc: %.proto
	$(PROTOC) -I $(PROTOS_PATH) --cpp_out=. $<

clean:
	rm -f *.o *.pb.cc *.pb.h gobgp_api_client


# The following is to test your system and ensure a smoother experience.
# They are by no means necessary to actually compile a grpc-enabled software.

PROTOC_CMD = which $(PROTOC)
PROTOC_CHECK_CMD = $(PROTOC) --version | grep -q libprotoc.3
PLUGIN_CHECK_CMD = which $(GRPC_CPP_PLUGIN)
HAS_PROTOC = $(shell $(PROTOC_CMD) > /dev/null && echo true || echo false)
ifeq ($(HAS_PROTOC),true)
HAS_VALID_PROTOC = $(shell $(PROTOC_CHECK_CMD) 2> /dev/null && echo true || echo false)
endif
HAS_PLUGIN = $(shell $(PLUGIN_CHECK_CMD) > /dev/null && echo true || echo false)

SYSTEM_OK = false
ifeq ($(HAS_VALID_PROTOC),true)
ifeq ($(HAS_PLUGIN),true)
SYSTEM_OK = true
endif
endif

system-check:
ifneq ($(HAS_VALID_PROTOC),true)
	@echo " DEPENDENCY ERROR"
	@echo
	@echo "You don't have protoc 3.0.0 installed in your path."
	@echo "Please install Google protocol buffers 3.0.0 and its compiler."
	@echo "You can find it here:"
	@echo
	@echo "   https://github.com/google/protobuf/releases/tag/v3.0.0-alpha-1"
	@echo
	@echo "Here is what I get when trying to evaluate your version of protoc:"
	@echo
	-$(PROTOC) --version
	@echo
	@echo
endif
ifneq ($(HAS_PLUGIN),true)
	@echo " DEPENDENCY ERROR"
	@echo
	@echo "You don't have the grpc c++ protobuf plugin installed in your path."
	@echo "Please install grpc. You can find it here:"
	@echo
	@echo "   https://github.com/grpc/grpc"
	@echo
	@echo "Here is what I get when trying to detect if you have the plugin:"
	@echo
	-which $(GRPC_CPP_PLUGIN)
	@echo
	@echo
endif
ifneq ($(SYSTEM_OK),true)
	@false
endif

=== debian/changelog ===
gobgp (1.15-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 08 Jan 2017 17:48:49 +0100

=== debian/control ===
Source: gobgp
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 9),
               bash-completion,
               dh-systemd,
               dh-golang,
               golang-go,
               golang-github-armon-go-radix-dev,
               golang-toml-dev,
               golang-gopkg-eapache-channels.v1-dev,
               golang-goprotobuf-dev,
               golang-go-flags-dev,
               golang-github-influxdb-influxdb-dev,
               golang-github-kr-pretty-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-socketplane-libovsdb-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vishvananda-netlink-dev,
               golang-golang-x-net-dev,
               golang-google-grpc-dev,
               golang-gopkg-tomb.v2-dev,
               protobuf-compiler (>= 3)
Standards-Version: 3.9.8
Homepage: https://github.com/osrg/gobgp
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gobgp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gobgp.git
XS-Go-Import-Path: github.com/osrg/gobgp

Package: gobgpd
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: BGP implemented in Go (daemon and client)
 GoBGP is an open source BGP implementation designed from scratch for
 modern environment and implemented in Go. It is designed to exploit
 multicore processors and can be easily integrated with other software
 through an RPC API.
 .
 This package contains both the daemon and the client.

Package: golang-github-osrg-gobgp-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-armon-go-radix-dev,
         golang-toml-dev,
         golang-gopkg-eapache-channels.v1-dev,
         golang-goprotobuf-dev,
         golang-go-flags-dev,
         golang-github-influxdb-influxdb-dev,
         golang-github-kr-pretty-dev,
         golang-github-satori-go.uuid-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-socketplane-libovsdb-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-vishvananda-netlink-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev,
         golang-gopkg-tomb.v2-dev
Description: BGP implemented in Go (source)
 GoBGP is an open source BGP implementation designed from scratch for
 modern environment and implemented in Go. It is designed to exploit
 multicore processors and can be easily integrated with other software
 through an RPC API.
 .
 This package contains the source code.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion,systemd

PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard */*.proto))
$(PB_GO_FILES):
	protoc -I$(dir $@) --go_out=plugins=grpc:$(dir $@) $(@:.pb.go=.proto)

override_dh_auto_configure: $(PB_GO_FILES)
	dh_auto_configure

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gobgp-$1.tar.gz/ \
  https://github.com/osrg/gobgp/releases .*/v?(\d\S*)\.tar\.gz

## gobgp 1.21

=== debian/changelog ===
gobgp (1.21-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Build-Depends on golang-github-sirupsen-logrus-dev (>= 0.11.0-2~) due
    to capitalization change.

 -- Vincent Bernat <bernat@debian.org>  Tue, 04 Jul 2017 10:51:54 +0200

gobgp (1.20-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 05 Jun 2017 06:20:42 +0200

gobgp (1.19-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 May 2017 11:09:04 +0200

gobgp (1.18-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 13 Apr 2017 09:40:06 +0200

gobgp (1.17-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 15 Mar 2017 09:09:19 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                golang-github-influxdb-influxdb-dev,
                golang-github-kr-pretty-dev,
                golang-github-satori-go.uuid-dev,
-               golang-github-sirupsen-logrus-dev,
+               golang-github-sirupsen-logrus-dev (>= 0.11.0-2~),
                golang-github-socketplane-libovsdb-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-viper-dev,

## gobgp 1.22

=== debian/changelog ===
gobgp (1.22-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: update to take the source tarball only.
  * d/rules: install documentation before running tests.
  * d/control: bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Tue, 08 Aug 2017 18:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                golang-google-grpc-dev,
                golang-gopkg-tomb.v2-dev,
                protobuf-compiler (>= 3)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/osrg/gobgp
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gobgp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gobgp.git

## gobgp 1.24

=== debian/changelog ===
gobgp (1.24-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.
  * d/control: no build-depends on dh-systemd.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Oct 2017 08:40:52 +0200

gobgp (1.23-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 07 Sep 2017 08:04:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20160709),
                bash-completion,
-               dh-systemd,
                dh-golang,
                golang-go,
                golang-github-armon-go-radix-dev,
@@ -26,7 +25,7 @@
                golang-google-grpc-dev,
                golang-gopkg-tomb.v2-dev,
                protobuf-compiler (>= 3)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1.0
 Homepage: https://github.com/osrg/gobgp
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gobgp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gobgp.git

## gobgp 1.25

=== debian/changelog ===
gobgp (1.25-1) unstable; urgency=medium

  * New upstream release.
  * d/control: switch priority to optional.
  * d/control: put golang-* package in golang section.

 -- Vincent Bernat <bernat@debian.org>  Sat, 11 Nov 2017 21:25:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: gobgp
-Section: devel
-Priority: extra
+Section: net
+Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper (>= 9.20160709),
@@ -46,6 +46,7 @@
 
 Package: golang-github-osrg-gobgp-dev
 Architecture: all
+Section: golang
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-go,

## gobgp 1.27

=== debian/changelog ===
gobgp (1.27-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Jan 2018 14:03:21 +0100

gobgp (1.26-1) unstable; urgency=medium

  * New upstream release.
  * d/control: do not put golang-* package in golang section.
  * d/control: bump Standards-Version.
  * d/install: also ships gobmpd.

 -- Vincent Bernat <bernat@debian.org>  Tue, 12 Dec 2017 15:13:49 +0100

## gobgp 1.28

=== debian/changelog ===
gobgp (1.28-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: add patch to use old signature for uuid.NewV4().

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Feb 2018 16:30:20 +0100

## gobgp 1.29

=== tools/grpc/cpp/Makefile ===
--- 
+++ 
@@ -1,7 +1,17 @@
+HOST_SYSTEM = $(shell uname | cut -f 1 -d_)
+SYSTEM ?= $(HOST_SYSTEM)
 CXX = g++
-CPPFLAGS += -I/opt/protobuf_3.0.0_alpha4/include -I/opt/grpc/include -pthread
+CPPFLAGS += -I/usr/local/include -pthread
 CXXFLAGS += -std=c++11
-LDFLAGS += -L/opt/grpc/lib -L/opt/protobuf_3.0.0_alpha4/lib -lgrpc++_unsecure -lgrpc -lgpr -lprotobuf -lpthread -ldl
+ifeq ($(SYSTEM),Darwin)
+LDFLAGS += -L/usr/local/lib `pkg-config --libs grpc++`            \
+           -lgrpc++_reflection \
+           -lprotobuf -lpthread -ldl
+else
+LDFLAGS += -L/usr/local/lib `pkg-config --libs grpc++`            \
+           -Wl,--no-as-needed -lgrpc++_reflection -Wl,--as-needed \
+           -lprotobuf -lpthread -ldl
+endif
 PROTOC = protoc
 GRPC_CPP_PLUGIN = grpc_cpp_plugin
 GRPC_CPP_PLUGIN_PATH ?= `which $(GRPC_CPP_PLUGIN)`
@@ -13,7 +23,7 @@
 all: system-check gobgp_api_client
 
 gobgp_api_client: gobgp_api_client.pb.o gobgp_api_client.grpc.pb.o gobgp_api_client.o
-	$(CXX) $^ $(LDFLAGS) -L. -lgobgp -o $@ 
+	$(CXX) $^ $(LDFLAGS) -L. -lgobgp -o $@
 
 %.grpc.pb.cc: %.proto
 	$(PROTOC) -I $(PROTOS_PATH) --grpc_out=. --plugin=protoc-gen-grpc=$(GRPC_CPP_PLUGIN_PATH) $<

=== debian/changelog ===
gobgp (1.29-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 16 Mar 2018 14:38:15 +0100

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,12 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev,
+               golang-github-dgryski-go-farm-dev,
                golang-golang-x-net-dev,
                golang-google-grpc-dev,
                golang-gopkg-tomb.v2-dev,
                protobuf-compiler (>= 3)
-Standards-Version: 4.1.1.0
+Standards-Version: 4.1.2
 Homepage: https://github.com/osrg/gobgp
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gobgp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gobgp.git
@@ -46,7 +47,7 @@
 
 Package: golang-github-osrg-gobgp-dev
 Architecture: all
-Section: golang
+Section: devel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-go,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_INSTALL_EXTRA = docs/sources
 
 %:
 	dh $@ --buildsystem=golang --with=golang,bash-completion,systemd

## gobgp 1.30

=== debian/changelog ===
gobgp (1.30-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 16 Apr 2018 10:23:36 +0200

## gobgp 1.31

=== debian/changelog ===
gobgp (1.31-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 07 May 2018 21:00:48 +0200

## gobgp 1.32

=== debian/changelog ===
gobgp (1.32-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Jun 2018 15:32:26 +0200

## gobgp 1.33

=== debian/changelog ===
gobgp (1.33-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: fix rebuild of protobuf generated files.
  * d/patches: disable RPKI test requiring network access.

 -- Vincent Bernat <bernat@debian.org>  Thu, 05 Jul 2018 08:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
                protobuf-compiler (>= 3)
 Standards-Version: 4.1.2
 Homepage: https://github.com/osrg/gobgp
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/gobgp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/gobgp.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/gobgp
+Vcs-Git: https://salsa.debian.org/go-team/packages/gobgp.git
 XS-Go-Import-Path: github.com/osrg/gobgp
 
 Package: gobgpd

## gobgp 2.12.0

=== debian/changelog ===
gobgp (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: remove patch applied upstream.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Feb 2020 08:02:34 +0100

gobgp (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: adjust build-depends.
  * d/service: update systemd unit file to use notify and a dynamic user.
  * d/patches: patch to make tests work with more recent version of protobuf.
  * d/install: don't ship gobmp (removed by upstream).

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Dec 2019 13:18:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,22 @@
                bash-completion,
                dh-golang,
                golang-go,
-               golang-github-armon-go-radix-dev,
-               golang-toml-dev,
+               golang-github-burntsushi-toml-dev,
+               golang-github-coreos-go-systemd-dev,
+               golang-github-dgryski-go-farm-dev,
                golang-gopkg-eapache-channels.v1-dev,
                golang-goprotobuf-dev,
+               golang-github-google-uuid-dev,
                golang-go-flags-dev,
-               golang-github-influxdb-influxdb-dev,
+               golang-github-k-sone-critbitgo-dev,
                golang-github-kr-pretty-dev,
-               golang-github-satori-go.uuid-dev,
                golang-github-sirupsen-logrus-dev (>= 0.11.0-2~),
-               golang-github-socketplane-libovsdb-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev,
-               golang-github-dgryski-go-farm-dev,
                golang-golang-x-net-dev,
                golang-google-grpc-dev,
-               golang-gopkg-tomb.v2-dev,
                protobuf-compiler (>= 3)
 Standards-Version: 4.1.2
 Homepage: https://github.com/osrg/gobgp

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA = docs/sources

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion,systemd

PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard api/*.proto))
override_dh_auto_configure:
	protoc -Iapi/ --go_out=plugins=grpc:api/ $(PB_GO_FILES:.pb.go=.proto)
	dh_auto_configure

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gobgp-$1.tar.gz/ \
  https://github.com/osrg/gobgp/releases .*/archive/v?(\d\S*)\.tar\.gz

## gobgp 2.18.0

=== debian/changelog ===
gobgp (2.18.0-1build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:09:11 +0000

gobgp (2.18.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: upgrade to compat 12
  * d/lintian-overrides: remove

 -- Vincent Bernat <bernat@debian.org>  Sun, 19 Jul 2020 18:04:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gobgp
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper-compat (= 12),
                bash-completion,
                dh-golang,
                golang-go,
@@ -22,7 +23,7 @@
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev,
                golang-golang-x-net-dev,
-               golang-google-grpc-dev,
+               golang-google-grpc-dev (>= 1.27.1),
                protobuf-compiler (>= 3)
 Standards-Version: 4.1.2
 Homepage: https://github.com/osrg/gobgp

## gobgp 2.25.0

=== debian/changelog ===
gobgp (2.25.0-3build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:49:49 -0600

gobgp (2.25.0-3) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update/correct Build-Depends and Depends
    - Switch golang-go -> golang-any

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 25 Nov 2021 23:45:16 +0100

gobgp (2.25.0-2) unstable; urgency=medium

  [ Ville Skyttä ]
  * d/gobgpd.service: use additional options from $GOBGPD_OPTIONS

  [ Vincent Bernat ]
  * d/tests: add a non-trivial autopkgtest

 -- Vincent Bernat <bernat@debian.org>  Thu, 08 Apr 2021 11:26:28 +0200

gobgp (2.25.0-1) unstable; urgency=medium

  * New upstream release.
  * d/lintian-overrides: remove
  * d/bash-completions: do not rename helper completion scripts
    (Closes: #985140)

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Mar 2021 17:57:01 +0100

=== debian/control ===
Source: gobgp
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper-compat (= 12),
               bash-completion,
               dh-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-dgryski-go-farm-dev,
               golang-github-google-uuid-dev,
               golang-github-go-test-deep-dev,
               golang-github-jessevdk-go-flags-dev,
               golang-github-kr-pretty-dev,
               golang-github-k-sone-critbitgo-dev,
               golang-github-sirupsen-logrus-dev (>= 0.11.0-2~),
               golang-github-spf13-cobra-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vishvananda-netlink-dev,
               golang-golang-x-net-dev,
               golang-google-grpc-dev (>= 1.27.1),
               golang-gopkg-eapache-channels.v1-dev,
               golang-goprotobuf-dev,
               protobuf-compiler (>= 3)
Standards-Version: 4.1.2
Homepage: https://github.com/osrg/gobgp
Vcs-Browser: https://salsa.debian.org/go-team/packages/gobgp
Vcs-Git: https://salsa.debian.org/go-team/packages/gobgp.git
XS-Go-Import-Path: github.com/osrg/gobgp

Package: gobgpd
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: BGP implemented in Go (daemon and client)
 GoBGP is an open source BGP implementation designed from scratch for
 modern environment and implemented in Go. It is designed to exploit
 multicore processors and can be easily integrated with other software
 through an RPC API.
 .
 This package contains both the daemon and the client.

Package: golang-github-osrg-gobgp-dev
Architecture: all
Section: devel
Depends: ${misc:Depends},
         golang-github-burntsushi-toml-dev,
         golang-github-coreos-go-systemd-dev,
         golang-github-dgryski-go-farm-dev,
         golang-github-google-uuid-dev,
         golang-github-go-test-deep-dev,
         golang-github-jessevdk-go-flags-dev,
         golang-github-kr-pretty-dev,
         golang-github-k-sone-critbitgo-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-viper-dev,
         golang-github-stretchr-testify-dev,
         golang-github-vishvananda-netlink-dev,
         golang-golang-x-net-dev,
         golang-google-grpc-dev,
         golang-gopkg-eapache-channels.v1-dev,
         golang-goprotobuf-dev
Description: BGP implemented in Go (source)
 GoBGP is an open source BGP implementation designed from scratch for
 modern environment and implemented in Go. It is designed to exploit
 multicore processors and can be easily integrated with other software
 through an RPC API.
 .
 This package contains the source code.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DH_GOLANG_INSTALL_EXTRA = docs/sources
 
 %:
-	dh $@ --buildsystem=golang --with=golang,bash-completion,systemd
+	dh $@ --buildsystem=golang --with=golang,bash-completion
 
 PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard api/*.proto))
 override_dh_auto_configure:

## gobgp 2.34.0

=== debian/changelog ===
gobgp (2.34.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on
      golang-github-sirupsen-logrus-dev and protobuf-compiler.

  [ Mathias Gibbens ]
  * Package version 2.34.0 (final 2.x release before protobuf version bump)
  * Update d/control
    - Add myself to Uploaders
    - Update Maintainers to current team email address
    - Add Testsuite: autopkgtest-pkg-go
    - Bump debhelper-compat to 13
    - Remove versioned constraint in Build-Depends
    - Update Standards-Version to 4.6.0 (no changes required)
    - Add Rules-Requires-Root: no
  * Update d/copyright
    - Update years
    - Add missing file with a different author
    - Add myself
  * Update d/rules to exclude building an example binary
  * Update d/watch

 -- Mathias Gibbens <mathias@calenhad.com>  Wed, 13 Apr 2022 13:48:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gobgp
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Vincent Bernat <bernat@debian.org>,
+           Mathias Gibbens <mathias@calenhad.com>
+Testsuite: autopkgtest-pkg-go
+Build-Depends: debhelper-compat (= 13),
                bash-completion,
                dh-golang,
                golang-any,
@@ -15,17 +17,18 @@
                golang-github-jessevdk-go-flags-dev,
                golang-github-kr-pretty-dev,
                golang-github-k-sone-critbitgo-dev,
-               golang-github-sirupsen-logrus-dev (>= 0.11.0-2~),
+               golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev,
                golang-golang-x-net-dev,
-               golang-google-grpc-dev (>= 1.27.1),
+               golang-google-grpc-dev,
                golang-gopkg-eapache-channels.v1-dev,
                golang-goprotobuf-dev,
-               protobuf-compiler (>= 3)
-Standards-Version: 4.1.2
+               protobuf-compiler
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/osrg/gobgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gobgp
 Vcs-Git: https://salsa.debian.org/go-team/packages/gobgp.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+# Don't build an example binary
+export DH_GOLANG_EXCLUDES := github.com/osrg/gobgp/tools/config
 export DH_GOLANG_INSTALL_EXTRA = docs/sources
 
 %:

## gobgp 3.1.0

=== debian/changelog ===
gobgp (3.1.0-1~exp1) experimental; urgency=medium

  * New upstream version

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 15 Apr 2022 01:04:28 +0000

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,10 @@
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev,
                golang-golang-x-net-dev,
-               golang-google-grpc-dev,
+               golang-google-grpc-dev (>= 1.38.0),
                golang-gopkg-eapache-channels.v1-dev,
-               golang-goprotobuf-dev,
-               protobuf-compiler
+               golang-goprotobuf-dev (>= 1.5.2),
+               protobuf-compiler (>= 3.20.0)
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/osrg/gobgp
@@ -65,9 +65,9 @@
          golang-github-stretchr-testify-dev,
          golang-github-vishvananda-netlink-dev,
          golang-golang-x-net-dev,
-         golang-google-grpc-dev,
+         golang-google-grpc-dev (>= 1.38.0),
          golang-gopkg-eapache-channels.v1-dev,
-         golang-goprotobuf-dev
+         golang-goprotobuf-dev (>= 1.5.2)
 Description: BGP implemented in Go (source)
  GoBGP is an open source BGP implementation designed from scratch for
  modern environment and implemented in Go. It is designed to exploit

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 
 PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard api/*.proto))
 override_dh_auto_configure:
-	protoc -Iapi/ --go_out=plugins=grpc:api/ $(PB_GO_FILES:.pb.go=.proto)
+	protoc -Iapi/ --go_out=plugins=grpc,paths=source_relative:api/ $(PB_GO_FILES:.pb.go=.proto)
 	dh_auto_configure

## gobgp 3.10.0

=== tools/grpc/cpp/Makefile ===
--- 
+++ 
@@ -1,38 +1,57 @@
+#
+# Copyright 2015 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
 HOST_SYSTEM = $(shell uname | cut -f 1 -d_)
 SYSTEM ?= $(HOST_SYSTEM)
 CXX = g++
-CPPFLAGS += -I/usr/local/include -pthread
+CPPFLAGS += `pkg-config --cflags protobuf grpc`
 CXXFLAGS += -std=c++11
 ifeq ($(SYSTEM),Darwin)
-LDFLAGS += -L/usr/local/lib `pkg-config --libs grpc++`            \
-           -lgrpc++_reflection \
-           -lprotobuf -lpthread -ldl
+LDFLAGS += -L/usr/local/lib `pkg-config --libs protobuf grpc++ grpc`\
+           -lgrpc++_reflection\
+           -ldl
 else
-LDFLAGS += -L/usr/local/lib `pkg-config --libs grpc++`            \
-           -Wl,--no-as-needed -lgrpc++_reflection -Wl,--as-needed \
-           -lprotobuf -lpthread -ldl
+LDFLAGS += -L/usr/local/lib `pkg-config --libs protobuf grpc++ grpc`\
+           -Wl,--no-as-needed -lgrpc++_reflection -Wl,--as-needed\
+           -ldl
 endif
 PROTOC = protoc
 GRPC_CPP_PLUGIN = grpc_cpp_plugin
 GRPC_CPP_PLUGIN_PATH ?= `which $(GRPC_CPP_PLUGIN)`
 
-PROTOS_PATH = .
+PROTOS_PATH = ../../../api
 
 vpath %.proto $(PROTOS_PATH)
 
-all: system-check gobgp_api_client
+#all: system-check greeter_client greeter_server greeter_async_client greeter_async_client2 greeter_async_server
+all: add_path
 
-gobgp_api_client: gobgp_api_client.pb.o gobgp_api_client.grpc.pb.o gobgp_api_client.o
-	$(CXX) $^ $(LDFLAGS) -L. -lgobgp -o $@
+add_path: gobgp.pb.o gobgp.grpc.pb.o attribute.pb.o attribute.grpc.pb.o capability.pb.o capability.grpc.pb.o add_path.o
+	$(CXX) $^ $(LDFLAGS) -o $@
 
+.PRECIOUS: %.grpc.pb.cc
 %.grpc.pb.cc: %.proto
 	$(PROTOC) -I $(PROTOS_PATH) --grpc_out=. --plugin=protoc-gen-grpc=$(GRPC_CPP_PLUGIN_PATH) $<
 
+.PRECIOUS: %.pb.cc
 %.pb.cc: %.proto
 	$(PROTOC) -I $(PROTOS_PATH) --cpp_out=. $<
 
 clean:
-	rm -f *.o *.pb.cc *.pb.h gobgp_api_client
+	rm -f *.o *.pb.cc *.pb.h greeter_client greeter_server greeter_async_client greeter_async_client2 greeter_async_server
 
 
 # The following is to test your system and ensure a smoother experience.
@@ -62,7 +81,7 @@
 	@echo "Please install Google protocol buffers 3.0.0 and its compiler."
 	@echo "You can find it here:"
 	@echo
-	@echo "   https://github.com/google/protobuf/releases/tag/v3.0.0-alpha-1"
+	@echo "   https://github.com/google/protobuf/releases/tag/v3.0.0"
 	@echo
 	@echo "Here is what I get when trying to evaluate your version of protoc:"
 	@echo

=== debian/changelog ===
gobgp (3.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.10.0
  * Revert "Temporarily disabled pb.go regeneration"
    This reverts commit 9032de9f1fc81311fd500472bd0009f5264cad61.
  * Bump protoc-gen-go-grpc to 1.33.3

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Jan 2023 16:46:04 +0800

gobgp (3.9.0-2) unstable; urgency=medium

  * Team upload
  * Fix lxd version in Breaks
  * Add golang-github-golang-protobuf-1-3-dev to Build-Conflicts

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Dec 2022 19:37:55 +0800

gobgp (3.9.0-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream version (Closes: #1026137, #1027115)
  * d/control:
    - Update my email address
    - Bump Standards-Version (no changes needed)
    - Mark golang-github-osrg-gobgp-dev as Multi-Arch: foreign
    - Add Breaks for lxd (<< 5.0.1-3)
  * Refresh d/copyright

  [ Shengjing Zhu ]
  * Update Depends for new version
  * Add patch to build with go-grpc 1.32
  * Temporarily disabled pb.go regeneration

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 28 Dec 2022 23:45:51 +0000

=== debian/control ===
Source: gobgp
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
           Mathias Gibbens <gibmat@debian.org>
Testsuite: autopkgtest-pkg-go
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-go-systemd-dev,
               golang-github-dgryski-go-farm-dev,
               golang-github-go-test-deep-dev,
               golang-github-google-go-cmp-dev,
               golang-github-google-uuid-dev,
               golang-github-jessevdk-go-flags-dev,
               golang-github-k-sone-critbitgo-dev,
               golang-github-kr-pretty-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-viper-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vishvananda-netlink-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev,
               golang-google-grpc-dev (>= 1.33.3),
               golang-google-protobuf-dev,
               golang-gopkg-eapache-channels.v1-dev,
               protobuf-compiler (>= 3.20.0),
               protoc-gen-go,
               protoc-gen-go-grpc (>= 1.33.3)
Build-Conflicts: golang-github-golang-protobuf-1-3-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/osrg/gobgp
Vcs-Browser: https://salsa.debian.org/go-team/packages/gobgp
Vcs-Git: https://salsa.debian.org/go-team/packages/gobgp.git
XS-Go-Import-Path: github.com/osrg/gobgp

Package: gobgpd
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: BGP implemented in Go (daemon and client)
 GoBGP is an open source BGP implementation designed from scratch for
 modern environment and implemented in Go. It is designed to exploit
 multicore processors and can be easily integrated with other software
 through an RPC API.
 .
 This package contains both the daemon and the client.

Package: golang-github-osrg-gobgp-dev
Architecture: all
Multi-Arch: foreign
Section: golang
Breaks: lxd (<< 5.0.1-4)
Depends: golang-github-coreos-go-systemd-dev,
         golang-github-dgryski-go-farm-dev,
         golang-github-google-uuid-dev,
         golang-github-jessevdk-go-flags-dev,
         golang-github-k-sone-critbitgo-dev,
         golang-github-kr-pretty-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-viper-dev,
         golang-github-vishvananda-netlink-dev,
         golang-golang-x-net-dev,
         golang-golang-x-text-dev,
         golang-google-grpc-dev (>= 1.33.3),
         golang-google-protobuf-dev,
         golang-gopkg-eapache-channels.v1-dev,
         ${misc:Depends}
Description: BGP implemented in Go (source)
 GoBGP is an open source BGP implementation designed from scratch for
 modern environment and implemented in Go. It is designed to exploit
 multicore processors and can be easily integrated with other software
 through an RPC API.
 .
 This package contains the source code.

## gobgp 3.16.0

=== debian/changelog ===
gobgp (3.16.0-1ubuntu0.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 22 Jan 2024 09:26:51 +0530

gobgp (3.16.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:32 +1200

gobgp (3.16.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends and Depends in d/control
  * Update years in d/copyright
  * Rebase patch

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 20 Jul 2023 21:02:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gobgp
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Mathias Gibbens <gibmat@debian.org>
 Testsuite: autopkgtest-pkg-go
@@ -14,9 +15,11 @@
                golang-github-go-test-deep-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
+               golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
                golang-github-jessevdk-go-flags-dev,
                golang-github-k-sone-critbitgo-dev,
                golang-github-kr-pretty-dev,
+               golang-github-prometheus-client-golang-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-viper-dev,
@@ -59,9 +62,11 @@
 Depends: golang-github-coreos-go-systemd-dev,
          golang-github-dgryski-go-farm-dev,
          golang-github-google-uuid-dev,
+         golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
          golang-github-jessevdk-go-flags-dev,
          golang-github-k-sone-critbitgo-dev,
          golang-github-kr-pretty-dev,
+         golang-github-prometheus-client-golang-dev,
          golang-github-sirupsen-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-github-spf13-viper-dev,

## gobgp 3.19.0

=== debian/changelog ===
gobgp (3.19.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 07 Oct 2023 14:45:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gobgp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Mathias Gibbens <gibmat@debian.org>
 Testsuite: autopkgtest-pkg-go

## gobgp 3.21.0

=== debian/changelog ===
gobgp (3.21.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 23 Dec 2023 16:16:06 +0000

## gobgp 3.23.0

=== debian/changelog ===
gobgp (3.23.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 12:03:52 +1000

gobgp (3.23.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 10:36:21 +0100

gobgp (3.23.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 23:01:08 +0530

gobgp (3.23.0-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 08 Feb 2024 22:42:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gobgp
 Section: net
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Mathias Gibbens <gibmat@debian.org>
 Testsuite: autopkgtest-pkg-go
@@ -11,6 +12,7 @@
                golang-any,
                golang-github-coreos-go-systemd-dev,
                golang-github-dgryski-go-farm-dev,
+               golang-github-fsnotify-fsnotify-dev,
                golang-github-go-test-deep-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
@@ -24,8 +26,9 @@
                golang-github-spf13-viper-dev,
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev,
-               golang-golang-x-net-dev,
+               golang-golang-x-sys-dev,
                golang-golang-x-text-dev,
+               golang-golang-x-time-dev,
                golang-google-grpc-dev (>= 1.33.3),
                golang-google-protobuf-dev,
                golang-gopkg-eapache-channels.v1-dev,
@@ -60,6 +63,7 @@
 Breaks: lxd (<< 5.0.1-4)
 Depends: golang-github-coreos-go-systemd-dev,
          golang-github-dgryski-go-farm-dev,
+         golang-github-fsnotify-fsnotify-dev,
          golang-github-google-uuid-dev,
          golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
          golang-github-jessevdk-go-flags-dev,
@@ -70,8 +74,9 @@
          golang-github-spf13-cobra-dev,
          golang-github-spf13-viper-dev,
          golang-github-vishvananda-netlink-dev,
-         golang-golang-x-net-dev,
+         golang-golang-x-sys-dev,
          golang-golang-x-text-dev,
+         golang-golang-x-time-dev,
          golang-google-grpc-dev (>= 1.33.3),
          golang-google-protobuf-dev,
          golang-gopkg-eapache-channels.v1-dev,

## gobgp 3.27.0

=== debian/changelog ===
gobgp (3.27.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 19 Jun 2024 17:38:21 +0000

gobgp (3.25.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)
  * Switch to full salsa CI pipeline

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Apr 2024 18:55:07 +0000

## gobgp 3.29.0

=== debian/changelog ===
gobgp (3.29.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 10 Aug 2024 20:57:52 +0000

gobgp (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jul 2024 14:35:30 +0000

## gobgp 3.30.0

=== debian/changelog ===
gobgp (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Oct 2024 01:08:53 +0000

## gobgp 3.31.0

=== debian/changelog ===
gobgp (3.31.0-1) unstable; urgency=medium

  * New upstream release
    - Add patch to skip flaky TestWatchEvent (Closes: #1078512)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 13 Nov 2024 02:52:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gobgp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Mathias Gibbens <gibmat@debian.org>
 Testsuite: autopkgtest-pkg-go
@@ -36,7 +35,7 @@
                protoc-gen-go,
                protoc-gen-go-grpc (>= 1.33.3)
 Build-Conflicts: golang-github-golang-protobuf-1-3-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/osrg/gobgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gobgp

## gobgp 3.32.0

=== debian/changelog ===
gobgp (3.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 05 Dec 2024 00:09:25 +0000

## gobgp 3.33.0

=== debian/changelog ===
gobgp (3.33.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules:
    - Auto-generate manpages
    - Only include single .md file required for test in -dev package
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 11 Jan 2025 16:04:21 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,8 @@
                golang-gopkg-eapache-channels.v1-dev,
                protobuf-compiler (>= 3.20.0),
                protoc-gen-go,
-               protoc-gen-go-grpc (>= 1.33.3)
+               protoc-gen-go-grpc (>= 1.33.3),
+               help2man
 Build-Conflicts: golang-github-golang-protobuf-1-3-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## gobgp 3.35.0

=== debian/changelog ===
gobgp (3.35.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 04 Mar 2025 13:44:10 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                golang-github-coreos-go-systemd-dev,
                golang-github-dgryski-go-farm-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-getsentry-sentry-go-dev,
                golang-github-go-test-deep-dev,
                golang-github-google-go-cmp-dev,
                golang-github-google-uuid-dev,
@@ -36,7 +37,7 @@
                protoc-gen-go-grpc (>= 1.33.3),
                help2man
 Build-Conflicts: golang-github-golang-protobuf-1-3-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/osrg/gobgp
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gobgp
@@ -64,6 +65,7 @@
 Depends: golang-github-coreos-go-systemd-dev,
          golang-github-dgryski-go-farm-dev,
          golang-github-fsnotify-fsnotify-dev,
+         golang-github-getsentry-sentry-go-dev,
          golang-github-google-uuid-dev,
          golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
          golang-github-jessevdk-go-flags-dev,

## gobgp 3.36.0

=== debian/changelog ===
gobgp (3.36.0-2) unstable; urgency=medium

  * Add back Built-Using stanza in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 27 Apr 2025 15:14:00 +0000

gobgp (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * Replace Built-Using with Static-Built-Using in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 05 Apr 2025 14:10:23 +0000

=== debian/control ===
--- 
+++ 
@@ -47,6 +47,7 @@
 Package: gobgpd
 Architecture: any
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: BGP implemented in Go (daemon and client)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Don't build an example binary
export DH_GOLANG_EXCLUDES := github.com/osrg/gobgp/tools/config

# Needed for a test
export DH_GOLANG_INSTALL_EXTRA = docs/sources/configuration.md

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang,bash-completion

PB_GO_FILES = $(patsubst %.proto, %.pb.go, $(wildcard api/*.proto))

execute_before_dh_auto_configure:
	protoc -Iapi/ --go_out=api --go_opt=paths=source_relative \
		--go-grpc_out=api --go-grpc_opt=paths=source_relative $(PB_GO_FILES:.pb.go=.proto)

execute_after_dh_auto_build:
	# Generate the man pages
	mkdir man1/
	TZ=UTC HOME="~" help2man _build/bin/gobgp -n "GoBGP CLI client" --no-info --no-discard-stderr --version-string=$(DEB_VERSION_UPSTREAM) > man1/gobgp.1
	TZ=UTC HOME="~" help2man _build/bin/gobgpd -n "GoBGP daemon" --no-info --no-discard-stderr --version-string=$(DEB_VERSION_UPSTREAM) > man1/gobgpd.1

=== debian/tests/control ===
Test-Command: gobgp --help
Depends: gobgpd

Test-Command: gobgpd & sleep 1 && gobgp global as 65000 router-id 1.1.1.1 listen-port 5179 && gobgp global
Depends: gobgpd

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/osrg/gobgp/tags .*/v?(\d\S*)\.tar\.gz debian
